package dev.shadowsoffire.apotheosis.adventure.commands;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.mojang.brigadier.builder.LiteralArgumentBuilder;
import com.mojang.brigadier.context.CommandContext;
import com.mojang.brigadier.exceptions.CommandSyntaxException;
import dev.shadowsoffire.apotheosis.adventure.loot.LootCategory;
import net.minecraft.commands.CommandSourceStack;
import net.minecraft.commands.Commands;
import net.minecraft.network.chat.Component;
import net.minecraft.server.level.ServerPlayer;
import net.minecraft.world.entity.EquipmentSlot;
import net.minecraft.world.item.ItemStack;

public class CategoryCheckCommand {
  public static void register(LiteralArgumentBuilder<CommandSourceStack> root) {
    root.then(((LiteralArgumentBuilder)Commands.m_82127_("loot_category").requires(c -> c.m_6761_(2))).executes(c -> {
            ServerPlayer serverPlayer = ((CommandSourceStack)c.getSource()).m_81375_();
            ItemStack stack = serverPlayer.m_21205_();
            LootCategory cat = LootCategory.forItem(stack);
            EquipmentSlot[] slots = (cat == null) ? null : cat.getSlots();
            serverPlayer.m_213846_((Component)Component.m_237113_("Loot Category - " + ((cat == null) ? "null" : cat.getName())));
            serverPlayer.m_213846_((Component)Component.m_237113_("Equipment Slot - " + ((slots == null) ? "null" : toStr(slots))));
            return 0;
          }));
  }
  
  static String toStr(EquipmentSlot[] slots) {
    StringBuilder b = new StringBuilder();
    b.append('{');
    for (int i = 0; i < slots.length; i++) {
      b.append(slots[i].name().toLowerCase());
      if (i == slots.length - 1) {
        b.append('}');
      } else {
        b.append(", ");
      } 
    } 
    return b.toString();
  }
}
